> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didx.co.za/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tenant by user ID



## OpenAPI

````yaml products/didx-me/api-reference/v1/me-wallet.json get /tenants/{userId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Me Wallet API
  description: >2-

          
    OpenAPI documentation for Me Wallet API

          
    Following JSON:API spec https://jsonapi.org/format/ approach to response
    payload format.


    **v1 endpoints are deprecated.** See the [Migration Guide (v1 to
    v2)](migration-guide) for details.

          
     - [JSON - OpenAPI Specification](/me-wallet/api/openapi.json)
servers:
  - url: https://test.didxtech.com/me-wallet/api
security:
  - bearerAuth: []
tags:
  - name: users
    description: User info
  - name: tenants
    description: Tenant management
  - name: credentials
    description: User credential management
  - name: presentations
    description: Presentation management
  - name: org-credentials
    description: Organization endpoints — credential issuance
  - name: org-presentations
    description: Organization endpoints — presentation requests
paths:
  /tenants/{userId}:
    get:
      tags:
        - tenants
      summary: Get tenant by user ID
      parameters:
        - schema:
            type: string
          required: true
          name: userId
          in: path
      responses:
        '200':
          description: Tenant found
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  userId:
                    type: string
                  rootAgentName:
                    type: string
                required:
                  - id
                  - userId
                  - rootAgentName
        '404':
          description: Tenant not found
      deprecated: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````